WordPress.org

Support

Support » How-To and Troubleshooting » [Resolved] [Plugin: Admin Trim Interface] Ver. 2.0.2 broken with WP 3.1

[Resolved] [Plugin: Admin Trim Interface] Ver. 2.0.2 broken with WP 3.1

  • When I tried to activate the current version’s plugin with WP 3.1, it failed to activate, and was shown the following error message:

    Plugin could not be activated because it triggered a fatal error.

    Fatal error: Constructor c2c_AdminTrimInterface::c2c_AdminTrimInterface() cannot be static in /home/cosmospa/public_html/wp-content/plugins/admin-trim-interface/admin-trim-interface.php on line 241

    It was still work fine with WP 3.0.5.

    http://wordpress.org/extend/plugins/admin-trim-interface/

Viewing 3 replies - 1 through 3 (of 3 total)
  • First of all great work inventing this plugin !
    It realy shapes up the backend of WP.

    However I’ve got the same issue with exact the same code line.
    Any knowledge how to fix this?

    Greetz

    Moderator Scott Reilly

    @coffee2code

    WordPress & Plugin Developer

    Thanks for reporting the issue!

    I just released v2.0.3 of the plugin which fixes the problem. Let me know if you encounter anything else.

    The new release of v2.0.3 has fixed the problem, permanently. Thank you very much.

    Beautiful … Just Perfecto =)

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘[Resolved] [Plugin: Admin Trim Interface] Ver. 2.0.2 broken with WP 3.1’ is closed to new replies.